# export CVSROOT=:pserver:anonymous@cvs.lri.fr:/users/asspro/ihm/metisse-cvs
# DATE=$(date +%Y%m%d)
# cvs login # no password
# cvs co fvwm-insitu
# tar cvjf fvwm-insitu-$DATE.tar.bz2 fvwm-insitu
# cvs co -d metisse-$DATE metisse
# tar cvjf metisse-$DATE.tar.bz2 metisse-$DATE

%define name metisse
%define version 0.4.0
%define metisse_cvs 20070117
%define fvwm_cvs 20070117
%define rel 1
%define release %mkrel 0.%{metisse_cvs}.%{rel}
%define distname %{name}-%{metisse_cvs}
%define fvwm_name fvwm-insitu-%{fvwm_cvs}
%define fvwm_version 2.5.20

%define lib_major 1

%define lib_name %mklibname %{name} %{lib_major}

%define common_description Metisse is an experimental X desktop with some OpenGL capacity.  It consists of a virtual X server called Xmetisse, a special version of FVWM, and a FVWM module FvwmCompositor.

Summary: Metisse is an X-based window system 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{distname}.tar.bz2
Source1: %{fvwm_name}.tar.bz2
Source2: Xmetisse.defaults
Source3: metisse-start-fvwm.defaults
Source4: 30metisse
# (fc) 0.4-0.20061130.1mdv force cursor to be handled by FvwmCompositor (workaround ARGB cursor bad rendering)
Patch0: metisse-20061130-fixcursor.patch
# (fc) 0.4-0.20061130.1mdv use blue background as default background
Patch1: metisse-20061130-background.patch
# (fc) 0.4-0.20061201.1mdv enable accessibility by default
Patch2: metisse-20061201-a11y.patch
# (fc) 0.4.0-20061208.1mdv change defaults (Ia Ora theme, only pager, 1 workspace)
Patch3: metisse-defaults.patch

License: MIT
Group: System/Libraries
Url: http://insitu.lri.fr/metisse/ 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: automake
BuildRequires: mesaglu-devel jpeg-devel png-devel libexif-devel freetype2-devel
BuildRequires: nucleo-devel at-spi-devel libxt-devel 
BuildRequires: readline-devel libstroke-devel
BuildRequires: xpm-devel
# not enabled gnome-libs-devel fribidi-devel librplay-devel
BuildRequires: python
ExclusiveArch: %ix86
Requires: x11-server-xmetisse
Requires: %{name}-fvwm
Requires: gnome-python-bonobo
Requires: compositing-wm-common

%description
%{common_description}

Xmetisse is a mix of Xvnc and XDarwin. It draws nothing on your screen; 
everything is drawn into pixmaps. Similarly to Xvnc, but with a different 
protocol, Xmetisse can send these pixmaps (and other information) to a 
"viewer". FvwmCompositor is such a viewer; it uses OpenGL for rendering 
the X desktop into a window of a "regular" 3D accelerated X server.

%package -n x11-server-xmetisse
Summary: Mix of Xvnc and XDarwin with improved protocol
Group: System/X11
Requires: compositing-server-common
Provides: compositing-server

%description -n x11-server-xmetisse
It draws nothing on your screen, every things is drawn into pixmaps. Similarly
as Xvnc, but with a different protocol, Xmetisse can send these pixmaps (and
others information) to a "viewer". FvwmCompositor is such a viewer, it uses
OpenGL (via nucleo) for rendering the X desktop into a window of a "regular"
3D accelerated X server.
%description
%{common_description}

%package -n	%{lib_name}
Summary:	A library for metisse
Group:		System/Libraries

%description -n	%{lib_name}
%{common_description}

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-devel
Summary:	Development tools for programs using %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
%{common_description}

This package contains the header files and libraries needed for
developing programs using the %{name} library.

%package fvwm
Summary: A modified version of the FVWM window manager to be used with metisse
Group: System
Version: %{fvwm_version}

%description fvwm
A modified version of the FVWM window manager to be used with metisse

%package fvwm-i18n-ar
Summary: Metisse FVWM locale files for ar
Group: System/Internationalization

%description fvwm-i18n-ar
Metisse FVWM locale files for ar  

%package fvwm-i18n-de
Summary: Metisse FVWM locale files for de
Group: System/Internationalization

%description fvwm-i18n-de
Metisse FVWM locale files for de

%package fvwm-i18n-fr
Summary: Metisse FVWM locale files for fr
Group: System/Internationalization

%description fvwm-i18n-fr
Metisse FVWM locale files for fr

%package fvwm-i18n-sv_SE
Summary: Metisse FVWM locale files for sv_SE
Group: System/Internationalization

%description fvwm-i18n-sv_SE
Metisse FVWM locale files for sv_SE

%package fvwm-i18n-zh_CN
Summary: Metisse FVWM locale files for zh_CN
Group: System/Internationalization

%description fvwm-i18n-zh_CN
Metisse FVWM locale files for zh_CN

%prep
%setup -q -n %{distname} -a1
#%patch0 -p1 -b .fixcursor
%patch1 -p1 -b .blueblackground
%patch2 -p1 -b .a11y
%patch3 -p1 -b .defaults

./bootstrap

%build
%configure2_5x  --enable-mmx \
 --without-gnome --without-rplay-library --disable-bidi --disable-xinerama \
 --with-fontdir=%_datadir/fonts --enable-freetype

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -D -m644 %{SOURCE2} %{buildroot}%{_datadir}/compositing-server/Xmetisse.defaults
install -D -m644 %{SOURCE3} %{buildroot}%{_datadir}/compositing-wm/metisse-start-fvwm.defaults
install -D -m755 %{SOURCE4} %{buildroot}%{_sysconfdir}/X11/xinit.d/30metisse

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_bindir}/metisse-combo2radio
%{_bindir}/metisse-combo2radio-edit
%{_bindir}/metisse-demo-address-app
%{_bindir}/metisse-dummy-win
%{_bindir}/metisse-start-fvwm
%{_bindir}/metisse-xlib
%{_sysconfdir}/X11/xinit.d/30metisse
%dir %{_datadir}/metisse
%{_datadir}/metisse/*
%{_datadir}/compositing-wm/metisse-start-fvwm.defaults

%files -n x11-server-xmetisse
%defattr(-,root,root)
%{_bindir}/Xmetisse
%{_bindir}/Xwnc
%{_datadir}/compositing-server/Xmetisse.defaults

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/libmetisse
%{_libdir}/pkgconfig/*.pc

%files fvwm
%defattr(-,root,root)
%{_sysconfdir}/X11/dm/Sessions/fvwmi.desktop
%{_sysconfdir}/X11/dm/Sessions/mini-fvwmi.desktop
%{_sysconfdir}/X11/dm/Sessions/opale.desktop
%{_bindir}/FvwmCommand
%{_bindir}/facade-holder
%{_bindir}/fvwm-bug
%{_bindir}/fvwm-convert-2.4
%{_bindir}/fvwm-convert-2.6
%{_bindir}/fvwm-menu-desktop
%{_bindir}/fvwm-menu-directory
%{_bindir}/fvwm-menu-headlines
%{_bindir}/fvwm-menu-xlock
%{_bindir}/fvwm-perllib
%{_bindir}/fvwm-root
%{_bindir}/fvwmi
%{_bindir}/fvwmi-config
%{_bindir}/opale-start-fvwmi
%dir %{_libdir}/fvwm-insitu/%{fvwm_version}
%{_libdir}/fvwm-insitu/%{fvwm_version}/*
%{_libdir}/python*/site-packages/facade_setup.py*
%dir %{_datadir}/fvwm-insitu
%{_datadir}/fvwm-insitu/*
%{_mandir}/man1/Fvwm*
%{_mandir}/man1/fvwm*

%files fvwm-i18n-ar
%defattr(-,root,root)
%{_datadir}/locale/ar/LC_MESSAGES/FvwmScript.mo
%{_datadir}/locale/ar/LC_MESSAGES/FvwmTaskBar.mo
%{_datadir}/locale/ar/LC_MESSAGES/fvwm.mo

%files fvwm-i18n-de
%defattr(-,root,root)
%{_datadir}/locale/de/LC_MESSAGES/FvwmScript.mo
%{_datadir}/locale/de/LC_MESSAGES/FvwmTaskBar.mo
%{_datadir}/locale/de/LC_MESSAGES/fvwm.mo

%files fvwm-i18n-fr
%defattr(-,root,root)
%{_datadir}/locale/fr/LC_MESSAGES/FvwmScript.mo
%{_datadir}/locale/fr/LC_MESSAGES/FvwmTaskBar.mo
%{_datadir}/locale/fr/LC_MESSAGES/fvwm.mo

%files fvwm-i18n-sv_SE
%defattr(-,root,root)
%{_datadir}/locale/sv_SE/LC_MESSAGES/FvwmScript.mo
%{_datadir}/locale/sv_SE/LC_MESSAGES/FvwmTaskBar.mo
%{_datadir}/locale/sv_SE/LC_MESSAGES/fvwm.mo

%files fvwm-i18n-zh_CN
%defattr(-,root,root)
%{_datadir}/locale/zh_CN/LC_MESSAGES/FvwmScript.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/FvwmTaskBar.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/fvwm.mo


%changelog
* Thu Jan 18 2007 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20070117.1mdv2007.0
+ Revision: 110141
-New snapshot for metisse and fvwm-insitu (fix nautilus open location stacking, various modality fixes, fix iconification)
- New snapshot, should really fix crash when moving windows this time
- New snapshot (20070111)
- fix crash when moving window with Alt key
- improve mouse cursor behaviour when using alt-tab

* Mon Jan 08 2007 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20070108.1mdv2007.1
+ Revision: 106071
- New snapshot (improve theme, stability)
- Remove patch4, source 5, 6, merged upstream

* Thu Jan 04 2007 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20061227.4mdv2007.1
+ Revision: 104178
- Update patch4 to fix pager color for Ia Ora Orange

* Wed Jan 03 2007 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20061227.3mdv2007.1
+ Revision: 103797
- Fix patch 4 to correctly install all button images

* Wed Jan 03 2007 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20061227.2mdv2007.1
+ Revision: 103700
- Fix descriptions
- Patch4 / Source5-6 : improve Ia Ora theme : support mouseover and sticky buttons on titlebar

* Tue Jan 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20061227.1mdv2007.1
+ Revision: 103422
- New snapshot (20061217), sync with fvwm 2.5.20
- Remove patches 5, 6, 7 (merged upstream)
- Regenerate patch 3

* Tue Dec 19 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20061217.1mdv2007.1
+ Revision: 100215
- New snapshot (fixes some issue with splash windows) 20061217
  Update Ia Ora patch with better colors
  Remove patch4, merged upstream
  Add source4, set a11y correctly for all environments

* Fri Dec 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20061214.1mdv2007.1
+ Revision: 97520
- new cvs snapshot (20061214), theme improvement, shader support
  Fix defaults (theme, font size, disable panel by default)
  Reduce shadow size and improve folding colors

  + Olivier Blin <oblin@mandriva.com>
    - add defaults metisse-start-fvwm options for compositing-wm scripts
    - translate --sm-client-id if in fvwmArgs only
    - force geometry
    - rename COMPOSITING_SERVER_LATE_INIT as COMPOSITING_SERVER_SPAWNS_WINDOW (and add some doc)

* Wed Dec 13 2006 Olivier Blin <oblin@mandriva.com> 0.4.0-0.20061208.2mdv2007.1
+ Revision: 96569
- handle --sm-client-id option from gnome-wm (in metisse-start-fvwm)
- add defaults file for compositing-server-common

* Fri Dec 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20061208.1mdv2007.1
+ Revision: 93715
- New snapshot (20061208) for Ia Ora theme
- Patch3: use Ia Ora theme by default
- add xpm-devel as BuildRequires
- Fix description

* Tue Dec 05 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20061205.1mdv2007.1
+ Revision: 91312
- New snapshot (20051205)
- Disable patch0, only needed for i810
- Fix font path configure option

* Fri Dec 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20061201.1mdv2007.1
+ Revision: 89832
- New snapshot (allow mmx build)
- Always enable a11y by default
- Fix buildrequires, enable stroke

* Thu Nov 30 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-0.20061130.1mdv2007.1
+ Revision: 89335
- Add missing patches
- Update snapshot to 20061130
- Patch0: use software cursor for ARGB mouse cursor for now
- Patch1: use blue background by default
- Add dependency on gnome-python-bonobo (for facade)
- Update CVS snapshot to 20061129
- drop all patches, merged upstream
- rename packages to follow new upstream naming
- Patch1 : fix parallel build
- Patch1 : fix parallel build
- Add more buildrequires
- Fix default font path

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - importing metisse to the repository

